- Main Page
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# uiop_endpointsC.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Sequence_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/String_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Struct_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/TypeCode_Struct_Field.h"`
`#include "tao/Strategies/uiop_endpointsC.h"`
`#include "tao/CDR.h"`

Include dependency graph for uiop_endpointsC.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
## Defines
#define | _TAO_UIOPENDPOINTSEQUENCE_CS_
## Functions
static TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_TAO_UIOP_Endpoint_Info (CORBA::tk_struct,"IDL:TAO_UIOP_Endpoint_Info:1.0","TAO_UIOP_Endpoint_Info", _tao_fields_TAO_UIOP_Endpoint_Info, 2)
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | TAO::TypeCode::TAO_UIOPEndpointSequence_0 (CORBA::tk_sequence,&_tc_TAO_UIOP_Endpoint_Info, 0U)
static TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_TAO_UIOPEndpointSequence (CORBA::tk_alias,"IDL:TAO_UIOPEndpointSequence:1.0","TAO_UIOPEndpointSequence",&TAO::TypeCode::tc_TAO_UIOPEndpointSequence_0)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_UIOP_Endpoint_Info &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TAO_UIOP_Endpoint_Info &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_UIOPEndpointSequence &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TAO_UIOPEndpointSequence &_tao_sequence)
## Variables
static TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_TAO_UIOP_Endpoint_Info []
::CORBA::TypeCode_ptr const | _tc_TAO_UIOP_Endpoint_Info
::CORBA::TypeCode_ptr const | TAO::TypeCode::tc_TAO_UIOPEndpointSequence_0
::CORBA::TypeCode_ptr const | _tc_TAO_UIOPEndpointSequence

## Define Documentation

#define _TAO_UIOPENDPOINTSEQUENCE_CS_

## Function Documentation

static TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_TAO_UIOP_Endpoint_Info | ( | CORBA::tk_struct | ,
|  | "IDL:TAO_UIOP_Endpoint_Info:1.0" | ,
|  | "TAO_UIOP_Endpoint_Info" | ,
|  | _tao_fields_TAO_UIOP_Endpoint_Info | ,
|  | 2 |  |
| ) |  |  | `[static]`

static TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_TAO_UIOPEndpointSequence | ( | CORBA::tk_alias | ,
|  | "IDL:TAO_UIOPEndpointSequence:1.0" | ,
|  | "TAO_UIOPEndpointSequence" | ,
|  | &TAO::TypeCode::tc_TAO_UIOPEndpointSequence_0 |  |
| ) |  |  | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_UIOPEndpointSequence & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_UIOP_Endpoint_Info & | _tao_aggregate |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_UIOPEndpointSequence & | _tao_sequence |
| ) |  |  |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_UIOP_Endpoint_Info & | _tao_aggregate |
| ) |  |  |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_TAO_UIOP_Endpoint_Info[]`[static]`

Initial value:

      {
        { "rendezvous_point", &CORBA::_tc_string },
        { "priority", &CORBA::_tc_short }

      }

::CORBA::TypeCode_ptr const _tc_TAO_UIOP_Endpoint_Info

Initial value:

      &_tao_tc_TAO_UIOP_Endpoint_Info

::CORBA::TypeCode_ptr const _tc_TAO_UIOPEndpointSequence

Initial value:

      &_tao_tc_TAO_UIOPEndpointSequence